/// #pkgName FGUI包名
/// #prefabName ui预制名字
/// #viewName uiview名字
/// #UIName ui的名字，prefabName首字母转大写
/// 该脚本由模板创建，不可修改
/// created by cb 2024

import { FguiView } from "../../mvc/FguiView";
import { FguiViewModel } from "../../mvc/FguiViewModel";
import { IUIController } from "../../mvc/IUIController";
import { <#UIName>Ctrl } from "./<#UIName>Ctrl";
import { <#UIName>VM } from "./<#UIName>VM";

export class <#UIName>View extends FguiView {
    /**
     * fgui的包名
     */
    protected static pkgName = "<#pkgName>";
    /**
     * fgui包内的UI名字
     */
    protected static prefabName = "<#prefabName>";
    /**
     * 类名，用于给UI命名
     */
    protected static viewName = "<#UIName>View";

    protected createVM(panel: fgui.GComponent): FguiViewModel {
        return new <#UIName>VM(panel);
    }
    protected CreateCtrl(): IUIController {
        return new <#UIName>Ctrl();
    }

}